aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/tor/files
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/tor/files
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/tor/files')
-rwxr-xr-xrecipes/tor/files/tor.init44
1 files changed, 44 insertions, 0 deletions
diff --git a/recipes/tor/files/tor.init b/recipes/tor/files/tor.init
new file mode 100755
index 0000000000..e421347440
--- /dev/null
+++ b/recipes/tor/files/tor.init
@@ -0,0 +1,44 @@
+
+#! /bin/sh
+#
+# This is an init script for Tor on Openzaurus
+#
+
+
+test -f /usr/bin/tor || exit 0
+test -f /etc/tor/tor-tsocks.conf || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting tor daemon"
+ start-stop-daemon --start --quiet --exec /usr/bin/tor &
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping tor daemon"
+ start-stop-daemon --stop --quiet --exec /usr/bin/tor &
+ echo "."
+ ;;
+ restart)
+ echo -n "Stopping tor daemon"
+ start-stop-daemon --stop --quiet --exec /usr/bin/tor &
+ sleep 1
+ echo -n "Starting tor daemon"
+ start-stop-daemon --start --quiet --exec /usr/bin/tor &
+ echo "."
+ ;;
+ start_socats)
+ echo "Starting socats"
+ # EXAMPLE
+ socat TCP4-LISTEN:6667,fork SOCKS4A:localhost:irc.freenode.net:6667,socksport=9050 &
+ ;;
+ stop_socats)
+ echo "Stopping all socat processes!"
+ killall socat
+ ;;
+ *)
+ echo "Usage: /etc/init.d/tor {start|stop|restart|start_socats|stop_socats}"
+ exit 1
+esac
+
+exit 0